﻿' -----------------------------------------------------------------------------------------
'
' FishTXWindowsVB                                                   Ulrich Müller  02.12.09
'                                                                   Aspire  VB 2005 Express
' Template : Windows-Anwendungen auf Basis der Assembly FishFace2005.DLL
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Public Class FishTXWindowsVB

	Dim tx As New FishFace()

    Private Sub Action()
        ' --- Routine für den Modellbetrieb, kann weitere Subs aufrufen ----
        Do
			' --- Endlosschleife, Abbruch durch HALT-Button oder ESC-Taste, kann gelöscht werden
		Loop Until tx.Finish()
    End Sub

#Region "--- ProgramControl ---"
    Private Sub cmdAction_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdAction.Click
		Try
			tx.OpenController(txtComName.Text)
			cmdAction.Enabled = False
			cmdEnde.Text = "&HALT"
			lblStatus.Text = "--- Bei der Arbeit ---"
			Action()					' --- Nutz-Routine für die Anwendung
		Catch tx As FishFaceException
			MsgBox(tx.Message)
		Finally
			tx.CloseController()
			cmdAction.Enabled = True
			cmdEnde.Text = "&ENDE"
			lblStatus.Text = "--- Auf ein Neues ---"
			cmdEnde.Focus()
		End Try
	End Sub

	Private Sub cmdEnde_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdEnde.Click
		' --- Programmende nur, wenn Action nicht läuft ---
		If cmdEnde.Text = "&HALT" Then tx.NotHalt = True Else Me.Close()
	End Sub

	Private Sub frmClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		' --- Wenn Action läuft, wird ein Programmabbruch über (x) unterbunden ---
		If cmdEnde.Text = "&HALT" Then e.Cancel = True
	End Sub

#End Region
End Class
